Bug 1460033 - Pop-up with usercase occur if press "Edit" button after log collection via dropbox
Pop-up with usercase occur if press "Edit" button after log collection via dr...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.1
Assigned To: Dávid Halász
Oleksii Tsuman
log_collect:distributed
: ZStream
Depends On: 1450106
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 17:44 EDT by Satoe Imaishi
Modified: 2017-08-02 13:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1450106
Environment:
Last Closed: 2017-08-02 13:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-08 17:48:24 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/03595170593ff63aa83fb148edae5618e5fcdfb7

commit 03595170593ff63aa83fb148edae5618e5fcdfb7
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed May 24 10:33:19 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 17:45:17 2017 -0400

    Merge pull request #1413 from skateman/log-collection-fix
    
    Fixed prompt for log collection by reorganizing button inheritance
    (cherry picked from commit 528886265a82b453fe6e0c92421dbbdb0f40fdf4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460033

 app/helpers/application_helper/button/collect_logs.rb         |  3 ++-
 app/helpers/application_helper/button/diagnostics_logs.rb     |  7 -------
 app/helpers/application_helper/button/log_depot_edit.rb       |  7 +++++++
 app/helpers/application_helper/button/logs.rb                 |  6 ------
 .../application_helper/button/mixins/button_prompt_mixin.rb   |  6 ++++++
 app/helpers/application_helper/button/zone_collect_logs.rb    |  3 ++-
 app/helpers/application_helper/button/zone_log_depot_edit.rb  |  7 -------
 .../application_helper/toolbar/diagnostics_server_center.rb   |  2 +-
 .../application_helper/toolbar/diagnostics_zone_center.rb     |  2 +-
 .../application_helper/buttons/diagnostics_logs_spec.rb       |  8 --------
 .../helpers/application_helper/buttons/log_depot_edit_spec.rb |  8 ++++++++
 .../application_helper/buttons/zone_log_depot_edit_spec.rb    | 11 -----------
 12 files changed, 27 insertions(+), 43 deletions(-)
 delete mode 100644 app/helpers/application_helper/button/diagnostics_logs.rb
 create mode 100644 app/helpers/application_helper/button/log_depot_edit.rb
 delete mode 100644 app/helpers/application_helper/button/logs.rb
 create mode 100644 app/helpers/application_helper/button/mixins/button_prompt_mixin.rb
 delete mode 100644 app/helpers/application_helper/button/zone_log_depot_edit.rb
 delete mode 100644 spec/helpers/application_helper/buttons/diagnostics_logs_spec.rb
 create mode 100644 spec/helpers/application_helper/buttons/log_depot_edit_spec.rb
 delete mode 100644 spec/helpers/application_helper/buttons/zone_log_depot_edit_spec.rb
Comment 3 Oleksii Tsuman 2017-06-29 04:35:14 EDT
verified in 5.8.1.0.20170623170756_3ed4411
Comment 5 errata-xmlrpc 2017-08-02 13:28:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.